{********************************************************
 * Demo2                                                *
 *                                                      *
 * This sample outline a simple acounting application   *
 * where in separate way of the main application is     *
 * possible to register the following optional modules: *
 *                                                      *
 *     1. General Ledger                                *
 *     2. Receivable                                    *
 *     3. Payable                                       *
 *     4. Utilities                                     *
 *                                                      *
 *     Part of the AVLock PRO package                   *
 *     (c) Alcides Valega, 2004                         *
 ********************************************************}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, jpeg, ExtCtrls, shellapi, registry,
  AVLock3Pro;

type
  TForm1 = class(TForm)
    MM1: TMainMenu;
    Modulo11: TMenuItem;
    Item111: TMenuItem;
    Item121: TMenuItem;
    Modulo21: TMenuItem;
    Item211: TMenuItem;
    Item221: TMenuItem;
    m1Opcin31: TMenuItem;
    Modulo31: TMenuItem;
    m3Opcin11: TMenuItem;
    m3Opcin21: TMenuItem;
    m3Opcin31: TMenuItem;
    Modulo41: TMenuItem;
    m4Opcin11: TMenuItem;
    m4Opcin21: TMenuItem;
    Archivos1: TMenuItem;
    Salir1: TMenuItem;
    Registration1: TMenuItem;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    AVLock3Pro1: TAVLock3Pro;
    LUserName: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    LCompany: TLabel;
    Label4: TLabel;
    LStatus: TLabel;
    Label8: TLabel;
    LRegKey: TLabel;
    Label7: TLabel;
    LOrderCode: TLabel;
    Label9: TLabel;
    LMachineCode: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure Item111Click(Sender: TObject);
    procedure Item121Click(Sender: TObject);
    procedure m1Opcin31Click(Sender: TObject);
    procedure Item211Click(Sender: TObject);
    procedure Item221Click(Sender: TObject);
    procedure m3Opcin11Click(Sender: TObject);
    procedure m3Opcin21Click(Sender: TObject);
    procedure m3Opcin31Click(Sender: TObject);
    procedure m4Opcin11Click(Sender: TObject);
    procedure m4Opcin21Click(Sender: TObject);
    procedure Salir1Click(Sender: TObject);
    procedure Registration1Click(Sender: TObject);
    //procedure LoggedUsers1Click(Sender: TObject);
    procedure Label1Click(Sender: TObject);
    procedure Label2Click(Sender: TObject);
    procedure Image1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure legend(m,i:integer);
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}


procedure TForm1.FormCreate(Sender: TObject);
begin
  with avlock3pro1 do begin
    execute;
    MM1.Items[1].visible := mods[1];
    MM1.Items[2].visible := mods[2];
    MM1.Items[3].visible := mods[3];
    MM1.Items[4].visible := mods[4];
    LUserName.caption:=UserName;
    LCompany.caption:=UserCompany;
    LUserName.caption:=UserName;
    LCompany.caption:=UserCompany;
    LRegKey.Caption := RegKey;
    case Status of
      0: LStatus.caption:='TRIAL';
      1: LStatus.caption:='AUTHORIZED';
      2: LStatus.caption:='REGISTERED';
    end;
    LMachineCode.caption:= MachineCode;
    LOrderCode.caption:= OrderCode;
  end;
end;

procedure TForm1.legend(m,i:integer);
begin
  showmessage('Module: '+avlock3pro1.txtmods[m]+'       Item: '+inttostr(i)+#13#10+
  '--------------------------------------------'+#13#10+
  'Sample program using the AVLock Pro component');
end;

procedure TForm1.Item111Click(Sender: TObject);
begin
  legend(1,1);
end;

procedure TForm1.Item121Click(Sender: TObject);
begin
  legend(1,2);
end;

procedure TForm1.m1Opcin31Click(Sender: TObject);
begin
  legend(1,3);
end;

procedure TForm1.Item211Click(Sender: TObject);
begin
  legend(2,1);
end;

procedure TForm1.Item221Click(Sender: TObject);
begin
  legend(2,2);
end;

procedure TForm1.m3Opcin11Click(Sender: TObject);
begin
  legend(3,1);
end;

procedure TForm1.m3Opcin21Click(Sender: TObject);
begin
  legend(3,2);
end;

procedure TForm1.m3Opcin31Click(Sender: TObject);
begin
  legend(3,3);
end;

procedure TForm1.m4Opcin11Click(Sender: TObject);
begin
  legend(4,1);
end;

procedure TForm1.m4Opcin21Click(Sender: TObject);
begin
  legend(4,2);
end;

procedure TForm1.Salir1Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Registration1Click(Sender: TObject);
begin
  avlock3pro1.doexecute;
end;

procedure TForm1.Label1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=209900&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Label2Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('https://secure.element5.com/shareit/checkout.html?productid=209901&language=English'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

procedure TForm1.Image1Click(Sender: TObject);
begin
  ShellExecute(0, 'open',
  Pchar('http://avsoft.sitio.net'),
  nil, nil, SW_SHOWMAXIMIZED);
end;

end.
